import { describe, expect, it } from "vitest";
import { createPostCSS } from "../index";
import { getBuild, minCSS, name } from "./utils";

describe("babel-tailwind", () => {
  const compileESBuild = getBuild("base");

  it("supports importing tailwind/base", async () => {
    const postcss = createPostCSS({
      tailwindConfig: {},
      postCSSPlugins: [],
    });
    const base = await postcss("@tailwind base;");
    const { files } = await compileESBuild({
      clsx: "emotion",
      expectFiles: 2,
      javascript: /* tsx */ `
        import "${name}/base";
      `,
    });

    expect(files.js.text).toBe("");
    expect(minCSS(files.css.text)).toContain(minCSS(base));
  });
});
